FROM python:3.13-slim AS builder
WORKDIR /app
COPY . .
RUN apt-get update && apt-get install -y nodejs npm && npm install -g terser clean-css-cli
RUN pip install --no-cache-dir -r ./requirements.txt
RUN zensical build
RUN rm ./deploy/sitemap.xml
RUN python minify.py

FROM caddy:alpine
COPY --from=builder /app/deploy /usr/share/caddy
EXPOSE 80
